#!/usr/bin/env python
## -*- coding: utf-8 -*-

# Copyright (C) 2009 Andreas Böttger 
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#
# inspired by: 
# gPodder - A media aggregator and podcast client
# Copyright (c) 2005-2009 Thomas Perl and the gPodder Team
#


__author__ = 'Andreas Böttger <andreas.boettger@gmx.de>'
__version__ = '0.1'
__date__ = '2009-09-16'
__copyright__ = '© 2005-2009 Andreas Böttger'
__licence__ = 'GNU General Public License, version 3 or later'
__url__ = ''

import os
import gettext
import locale

# D-Bus specific interface names
dbus_bus_name = 'org.gudev'
dbus_gui_object_path = '/gui'
dbus_interface = 'org.gudev.interface'

# i18n setup (will result in "gettext" to be available)
# Use   _ = gudev.gettext   in modules to enable string translations
textdomain = 'gudev'
locale_dir = gettext.bindtextdomain(textdomain)
t = gettext.translation(textdomain, locale_dir, fallback=True)
gettext = t.ugettext
del t

# Set up textdomain for gtk.Builder (this accesses the C library functions)
if hasattr(locale, 'bindtextdomain'):
    locale.bindtextdomain(textdomain, locale_dir)
del locale_dir

# Variables reserved for GUI-specific use (will be set accordingly)
ui_folders = []
credits_file = None
icon_file = None

# Default locations for configuration and data files
home = os.path.expanduser(os.path.join('~', '.config', 'gudev'))
config_file = os.path.join(home, 'gudev.conf')
